unit Un_network;

interface
uses
  Un_company,un_list1;

 type TNetwork=class(Tcompany)
              public
               FNetwork:string;
               namenetwork:TCompany;
               fl:TList;
               constructor Create (file_name:string);
               destructor Destroy; override;
               procedure Print;
              // procedure Add(S:TInfo);
              // procedure Del_ab(N:TInfo);
             end;

implementation

  constructor TNetwork.Create;
  begin
    inherited Create(file_name);
    FNetwork:=CreateLL(file_name,FL)
  end;

{  procedure TNetwork.add;
  begin
    if add_Abonent(FL,s) then Writeln('Такой номер уже зарегистрирован!')
                         else
                         begin
                            Add_Order(FL,s);
                            Print
                         end
  end;  }

  destructor TNetwork.Destroy;
  begin
    ClearL(FL);
    inherited Destroy
  end;

  procedure TNetwork.Print;
  begin
    writeln(FNetwork,':');
    PrintL(FL)
  end;

 { procedure TNetwork.Del_ab;
  begin
   if not Del(FL,N) then Writeln ('Такой номер не найден!') else print;
  end;  }

end.
